Subject: Re: [PATCH 1/4] dt-bindings: arm: fix Rockchip Kylin board bindings

From: Heiko Stuebner <[email-masked]>
Date: Sun, 01 Mar 2020 00:55:19 +0100

Hi Johan,

Am Freitag, 28. Februar 2020, 13:50:11 CET schrieb Johan Jonker:
> On 2/28/20 1:35 PM, Robin Murphy wrote:
> > On 28/02/2020 6:14 am, Johan Jonker wrote:
> >> A test with the command below gives this error:
> >>
> >> arch/arm/boot/dts/rk3036-kylin.dt.yaml: /: compatible:
> >> ['rockchip,rk3036-kylin', 'rockchip,rk3036']
> >> is not valid under any of the given schemas
> >>
> >> Fix this error by changing 'rockchip,kylin-rk3036' to
> >> 'rockchip,rk3036-kylin' in rockchip.yaml.
> > 
> 
> 
> > Although I can guess, it might be worth a note to explain why it's the
> > binding rather than the DTS that gets changed here.
> 
> Hi Robin,
> 
> My guess is that given a look at the other boards the processor name
> comes first and then the board name, so I changed it in rockchip.yaml.
> But maybe Heiko can better explain what the naming consensus in the past
> was.

I think what Robin meant was that there should be an explanation in the
commit message on why you change the binding and not the board.

Normally the dt-binding is the authoritative part, so boards should follow
the binding, but in the kylin-case the compatible from the .dts is used fr
years in the field now, so you're correct to fix the binding, as otherwise
we would break old users.

So just add a paragraph to the commit message with the above ;-)

Heiko

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel